Following the announcement of LoopBack 4 GA in October, LoopBack 3 entered Active Long Term Support (LTS). In March, we announced that LoopBack 3 will receive extended LTS until December 2019. We made this choice to provide LoopBack 3 users more time to move to LoopBack 4 and for us to improve the migration experience. In order to incrementally migrate from LoopBack 3 to LoopBack 4, we have since introduced a way to mount your LoopBack 3 applications in a LoopBack 4 project.

Miroslav investigated different approaches for migration which you can see in the Migration epic. He settled on mounting the LoopBack 3 application in a LoopBack 4 project as part of incremental migration (see the PoC here). In this approach, the entire LoopBack 3 application is mounted, including its runtime dependencies. The LoopBack 3 Swagger spec is also converted to LoopBack 4 OpenAPI v3 and a unified spec is created.

If you are a current LoopBack 3 user who wants to migrate to LoopBack 4, learn all the steps needed to mount your application in this Migrating from LoopBack 3 doc.

Call to Action

LoopBack’s future success depends on you. We appreciate your continuous support and engagement to make LoopBack even better and meaningful for your API creation experience. Please join us and help the project by: